diff --git a/lustre/tests/conf-sanity.sh b/lustre/tests/conf-sanity.sh
index 74f04acf14f34b7f81a0015c46e80264a639b842..b1579e5491cfc979ea9f133381ae2d238c69513e 100644
--- a/lustre/tests/conf-sanity.sh
+++ b/lustre/tests/conf-sanity.sh
@@ -1138,6 +1138,7 @@ test_32a() {
         #       there appears to be a lot of assumption here about loopback
         #       devices
         # or maybe this test is just totally useless on a client-only system
+	[ "$NETTYPE" = "tcp" ] || { skip "NETTYPE != tcp" && return 0; }
 	[ "$mds_HOST" = "`hostname`" ] || { skip "remote MDS" && return 0; }
 	[ "$ost_HOST" = "`hostname`" -o "$ost1_HOST" = "`hostname`" ] || \
 		{ skip "remote OST" && return 0; }
@@ -1205,6 +1206,7 @@ test_32b() {
         #       there appears to be a lot of assumption here about loopback
         #       devices
         # or maybe this test is just totally useless on a client-only system
+        [ "$NETTYPE" = "tcp" ] || { skip "NETTYPE != tcp" && return 0; }
         [ "$mds_HOST" = "`hostname`" ] || { skip "remote MDS" && return 0; }
         [ "$ost_HOST" = "`hostname`" -o "$ost1_HOST" = "`hostname`" ] || \
 		{ skip "remote OST" && return 0; }